Fix fannkuch-redux for GHC<=8.2
ClosedPublic

Authored by osa1 on Jan 17 2018, 5:39 AM.

Details

Reviewers
dfeuer
michalt
Group Reviewers
Restricted Owners Package(Owns No Changed Paths)
Commits
rNOFIB40748b305de4: Fix fannkuch-redux for GHC<=8.2

Diff Detail

Repository
rNOFIB nofib
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 19151
Build 39904: arc lint + arc unit
osa1 created this revision.Jan 17 2018, 5:39 AM
Owners added a reviewer: Restricted Owners Package.Jan 17 2018, 5:39 AM
dfeuer accepted this revision.Jan 21 2018, 10:26 PM
This revision is now accepted and ready to land.Jan 21 2018, 10:26 PM
michalt accepted this revision.Jan 22 2018, 1:24 PM
osa1 added a comment.Jan 22 2018, 1:50 PM

Can someone land this? My SSH key changed a few times since my last commit so I can't push to nofib (and ghc) anymore :S

I'll give it a go.

Could you rebase this please?

osa1 closed this revision.Jan 31 2018, 12:54 PM

Ben updated my public key so I pushed this myself. Phabricator hasn't noticed yet though.

robstewart57 added a subscriber: robstewart57.EditedMay 16 2018, 1:17 PM

Hi @osa1

Is this enough? I think is a fix for GHC 8.0, but not < 8.0, since up to and including, 7.8 (base 4.8 and downward) does not include Data.Semigroup, which was introduced for this file in 5748d428204ea0552f70b2981eaf30d4a5cfd3e9 .

I've tested an alternative change for GHC 7.8.3, which is to revert 5748d428204ea0552f70b2981eaf30d4a5cfd3e9 . How about, to support GHC's including and downward of 7.8.3, wrap the the import of Data.Semigroup and the Semigroup instance for F with ifdefs on the GHC version, to revert to the pre 5748d428204ea0552f70b2981eaf30d4a5cfd3e9 for GHC <= 7.8.3 versions?

osa1 added a comment.May 16 2018, 1:31 PM

Hi @osa1

Is this enough? I think is a fix for GHC 8.0, but not < 8.0, since up to and including, 7.8 (base 4.8 and downward) does not include Data.Semigroup, which was introduced for this file in 5748d428204ea0552f70b2981eaf30d4a5cfd3e9 .

I've tested an alternative change for GHC 7.8.3, which is to revert 5748d428204ea0552f70b2981eaf30d4a5cfd3e9 . How about, to support GHC's including and downward of 7.8.3, wrap the the import of Data.Semigroup and the Semigroup instance for F with ifdefs on the GHC version, to revert to the pre 5748d428204ea0552f70b2981eaf30d4a5cfd3e9 for GHC <= 7.8.3 versions?

Hi,

That sounds good to me. Would you be willing to submit a patch?